curl -X GET https://api.finscreener.in/api/auth/token/validate \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
response = requests.get(
"https://api.finscreener.in/api/auth/token/validate",
headers={"Authorization": f"Bearer {token}"}
)
print(response.json())
{
"valid": true,
"user_id": "user_123456",
"email": "user@example.com"
}
{
"detail": "Token has expired"
}
Authentication
Validate Token
Validate current access token
GET
/
api
/
auth
/
token
/
validate
curl -X GET https://api.finscreener.in/api/auth/token/validate \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
response = requests.get(
"https://api.finscreener.in/api/auth/token/validate",
headers={"Authorization": f"Bearer {token}"}
)
print(response.json())
{
"valid": true,
"user_id": "user_123456",
"email": "user@example.com"
}
{
"detail": "Token has expired"
}
Check if the current access token is valid and not expired.
Headers
string
required
Bearer token:
Bearer <access_token>Response
boolean
Whether the token is valid
string
User ID associated with the token
string
Email associated with the token
curl -X GET https://api.finscreener.in/api/auth/token/validate \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
import requests
response = requests.get(
"https://api.finscreener.in/api/auth/token/validate",
headers={"Authorization": f"Bearer {token}"}
)
print(response.json())
{
"valid": true,
"user_id": "user_123456",
"email": "user@example.com"
}
{
"detail": "Token has expired"
}